## com.lowagie.text
Class RomanList

    java.lang.Object
      com.lowagie.text.List
          com.lowagie.text.RomanList

All Implemented Interfaces:
  Element, MarkupAttributes, TextElementArray

    public class RomanList

extends List

A special-version of `LIST` which use roman-letters.

Version:
  2003-06-22
Author:
  Michael Niedermair
See Also:
  `List`

Nested Class Summary
`private static class` `RomanList.RomanDigit` Helper class for Roman Digits

Field Summary
`private static RomanList.RomanDigit[]` `roman` Array with Roman digits.
`protected boolean` `romanlower` UpperCase or LowerCase

Fields inherited from class com.lowagie.text.List
`ALPHABETICAL, first, firstCh, indentationLeft, indentationRight, lastCh, lettered, list, markupAttributes, numbered, NUMBERICAL, ORDERED, symbol, symbolIndent, UNORDERED`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RomanList(boolean romanlower, int symbolIndent)` Initialization
`RomanList(int symbolIndent)` Initialization

Method Summary
`boolean` `add(java.lang.Object o)` Adds an `Object` to the `List`.
`boolean` `isRomanLower()` Checks if the list is roman-letter with lowercase
`void` `setRomanLower(boolean romanlower)` set the roman-letters to lowercase otherwise to uppercase
`static java.lang.String` `toRoman(int number)` changes an int into a lower case roman number.
`static java.lang.String` `toRomanLowerCase(int number)` Changes an int into a lower case roman number.
`static java.lang.String` `toRomanUppercase(int number)` Changes an int into an upper case roman number.

Methods inherited from class com.lowagie.text.List
`first, getChunks, getItems, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, indentationLeft, indentationRight, isNumbered, isSymbol, isTag, leading, process, setFirst, setFirst, setIndentationLeft, setIndentationRight, setListSymbol, setListSymbol, setMarkupAttribute, setMarkupAttributes, size, symbol, symbolIndent, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### romanlower

    protected boolean romanlower

  UpperCase or LowerCase

### roman

    private static final RomanList.RomanDigit[] roman

  Array with Roman digits.

Constructor Detail

### RomanList

    public RomanList(int symbolIndent)

  Initialization

  Parameters:
    `symbolIndent` - indent

### RomanList

    public RomanList(boolean romanlower,
                     int symbolIndent)

  Initialization

  Parameters:
    `romanlower` - roman-char in lowercase
    `symbolIndent` - indent

Method Detail

### setRomanLower

    public void setRomanLower(boolean romanlower)

  set the roman-letters to lowercase otherwise to uppercase

  Parameters:
    `romanlower` -

### isRomanLower

    public boolean isRomanLower()

  Checks if the list is roman-letter with lowercase

  Returns:
    `true` if the roman-letter is lowercase, `false` otherwise.

### add

    public boolean add(java.lang.Object o)

  Adds an `Object` to the `List`.

  Specified by:
    `add` in interface `TextElementArray`
  Overrides:
    `add` in class `List`
  Parameters:
    `o` - the object to add.
  Returns:
    true if adding the object succeeded

### toRoman

    public static java.lang.String toRoman(int number)

  changes an int into a lower case roman number.

  Parameters:
    `number` - the original number
  Returns:
    the roman number (lower case)

### toRomanUppercase

    public static java.lang.String toRomanUppercase(int number)

  Changes an int into an upper case roman number.

  Parameters:
    `number` - the original number
  Returns:
    the roman number (upper case)

### toRomanLowerCase

    public static java.lang.String toRomanLowerCase(int number)

  Changes an int into a lower case roman number.

  Parameters:
    `number` - the original number
  Returns:
    the roman number (lower case)